package com.fos.modules.userOrder.entity;

import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;

public class UserOrderEntity extends BaseEntity{

	@JSONField(name="orderId")  //订单id
	private long orderId; 
	
	@JSONField(name="userId")   // 用户Id
	private long userId;	
	
	@JSONField(name="seatId")  // 座位Id
	private long seatId;	
	
	@JSONField(name="code")  // 订单唯一标识
	private String code;	
	
	@JSONField(name="name")  // 食物菜品名
	private String name;		
	
	@JSONField(name="nickName")  // 用户昵称
	private String nickName;     
	
	@JSONField(name="status")   // 订单表里的状态     订单状态：0已下单，1已修改，2已完结,3未下单
	private int status;		  
	
	@JSONField(name="status")
	private int seatStatus;
	
	
	@JSONField(name="preferenceId")  //用户偏爱口味的id
	private long preferenceId;   
	
	@JSONField(name="count")  //订单次数
	private int count;			
	
	@JSONField(name="foodId")    //食物id
	private long foodId;
	
	@JSONField(name="foodNum")    //食物数量
	private int foodNum;
	
	
	public int getSeatStatus() {
		return seatStatus;
	}
	public void setSeatStatus(int seatStatus) {
		this.seatStatus = seatStatus;
	}
	public int getFoodNum() {
		return foodNum;
	}
	public void setFoodNum(int foodNum) {
		this.foodNum = foodNum;
	}
	public long getFoodId() {
		return foodId;
	}
	public void setFoodId(long foodId) {
		this.foodId = foodId;
	}
	public int getCount() {
		return count;
	}
	public void setCount(int count) {
		this.count = count;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public long getPreferenceId() {
		return preferenceId;
	}
	public void setPreferenceId(long preferenceId) {
		this.preferenceId = preferenceId;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public long getOrderId() {
		return orderId;
	}
	public void setOrderId(long orderId) {
		this.orderId = orderId;
	}
	public long getUserId() {
		return userId;
	}
	public void setUserId(long userId) {
		this.userId = userId;
	}
	public long getSeatId() {
		return seatId;
	}
	public void setSeatId(long seatId) {
		this.seatId = seatId;
	}
	
	
	
}
